summaryrefslogtreecommitdiff
path: root/t/ar-lib6b.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/ar-lib6b.sh')
-rwxr-xr-xt/ar-lib6b.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/t/ar-lib6b.sh b/t/ar-lib6b.sh
new file mode 100755
index 000000000..54c02225e
--- /dev/null
+++ b/t/ar-lib6b.sh
@@ -0,0 +1,37 @@
+#! /bin/sh
+# Copyright (C) 2011-2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Test AM_PROG_AR ordering requirements for older Libtools
+# Keep this test in sync with sister test 'ar-lib6a.test'.
+
+required=libtoolize
+. ./defs || Exit 1
+
+cat >> configure.ac << 'END'
+AC_PROG_CC
+AC_PROG_RANLIB
+AC_PROG_LIBTOOL
+AM_PROG_AR
+END
+
+libtoolize
+$ACLOCAL
+$AUTOCONF 2>stderr || { cat stderr >&2; Exit 1; }
+cat stderr >&2
+
+$EGREP 'AC_PROG_LIBTOOL.*before.*AM_PROG_AR' stderr
+
+: